Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.binding
Class JUCtrlListDef

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.adf.model.binding.DCControlBindingDef
oracle.jbo.uicli.binding.JUControlDef
oracle.jbo.uicli.binding.JUCtrlValueDef
oracle.jbo.uicli.binding.JUCtrlAttrsDef
oracle.jbo.uicli.binding.JUCtrlListDef`

All Implemented Interfaces:
  oracle.jbo.rules.ValidationManager

Direct Known Subclasses:
  JUComboBoxDef, JUCtrlBoolDef, JUListSingleSelDef, JULovButtonDef, JUSpinnerDef

public class JUCtrlListDef
extends JUCtrlAttrsDef

Field Summary
`protected int` | `mNullValueFlag`
`static java.lang.String` | `PNAME_LabelList`
`static java.lang.String` | `PNAME_ListAttrNames`
`static java.lang.String` | `PNAME_ListDisplayNames`
`static java.lang.String` | `PNAME_ListIterName`
`static java.lang.String` | `PNAME_ListNullValueFlag`
`static java.lang.String` | `PNAME_ListOperMode`
`static java.lang.String` | `PNAME_ListRangeSize`
`static java.lang.String` | `PNAME_ListRSIName`
`static java.lang.String` | `PNAME_ListVOName`
`static java.lang.String` | `PNAME_StaticList`
`static java.lang.String` | `PNAME_ValueList`

Fields inherited from class oracle.jbo.uicli.binding.JUCtrlValueDef
`DEFAULT_HANDLER, PNAME_ApplyValidation, PNAME_AttrNames, PNAME_InputHandler, PNAME_ListNullValueId`

Fields inherited from class oracle.adf.model.binding.DCControlBindingDef
`PNAME_ControlBindingClass, PNAME_ControlClass, PNAME_CustomInputHandler, PNAME_InitialValue, PNAME_IterBinding, PNAME_TYPE`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`JUCtrlListDef()`
`JUCtrlListDef(java.lang.String name, java.lang.String controlClassName, java.lang.String controlBindingClassName, java.lang.String iterBindingName, java.lang.String[] attrNames, boolean staticList, java.lang.String listVOName, java.lang.String listRSIName, java.lang.String[] listAttrNames, java.lang.Object[] valueList)`

Method Summary
`protected DCControlBinding` | `createControlBindingInstance(java.lang.Object control, DCBindingContainer formBnd)`
`protected JUCtrlListBinding` | `createListBindingInstance(java.lang.Object control, DCIteratorBinding iterBinding, java.lang.String[] attrNames, DCIteratorBinding listIterBinding, java.lang.String[] listAttrNames, java.lang.String[] listDisplayAttrNames)`
`protected JUCtrlListBinding` | `createListBindingInstance(java.lang.Object control, DCIteratorBinding iterBinding, java.lang.String[] attrNames, int listOperMode)`
`protected JUCtrlListBinding` | `createListBindingInstance(java.lang.Object control, DCIteratorBinding iterBinding, java.lang.String[] attrNames, java.lang.Object[] valueList)`
`protected DCIteratorBinding` | `findListIteratorBinding(DCBindingContainer formBinding)`
`java.lang.String[]` | `getLabelList()`
`java.lang.String[]` | `getListAttrNames()`
`java.lang.String[]` | `getListDisplayAttrNames()`
`java.lang.String` | `getListIteratorBindingName()`
`int` | `getListOperMode()`
`int` | `getListRangeSize()`
`java.lang.String` | `getListRSIName()`
`java.lang.String` | `getListVOName()`
`int` | `getNullValueFlag()`
`java.lang.Object[]` | `getValueList()`
`void` | `init(java.util.HashMap initValues)`
`protected void` | `initSubType()`
`boolean` | `isStaticList()`
`void` | `loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)`
`protected void` | `retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement, java.util.HashMap valueTab)`
`void` | `setListOperMode(int listOperMode)`
`void` | `setListRangeSize(int listRangeSize)`
`void` | `setStaticList(boolean staticList)` *** For internal framework use only ***

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlValueDef
`addValidator, createControlBinding, getAttrNames, getCustomInputHandler, getFirstAttrName, getIterBinding, getMessageBundleClass, getNullValueId, getNullValueObject, getValidators, hasCustomInputHandler, isApplyValidation, loadCustomDef, loadFromXML, setApplyValidation, setCustomInputHandler, setNullValueObject`

Methods inherited from class oracle.adf.model.binding.DCControlBindingDef
`createControl, createControlBinding, getBindingContainerDef, getControlBindingClassName, getControlClassName, getDesignTimeClass, getInitialValue, getIterBinding, getIterBindingName, getLayoutCons, getXMLElementTag, setBindingContainerDef, setControlBindingClassName, setControlClassName, setInitialValue`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, isDirty, isNew, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.rules.ValidationManager
`getName`

Field Detail

### mNullValueFlag

    protected int mNullValueFlag

### PNAME_ListOperMode

    public static final java.lang.String PNAME_ListOperMode

  See Also:
    Constant Field Values

### PNAME_StaticList

    public static final java.lang.String PNAME_StaticList

  See Also:
    Constant Field Values

### PNAME_ListAttrNames

    public static final java.lang.String PNAME_ListAttrNames

  See Also:
    Constant Field Values

### PNAME_ListDisplayNames

    public static final java.lang.String PNAME_ListDisplayNames

  See Also:
    Constant Field Values

### PNAME_ListRangeSize

    public static final java.lang.String PNAME_ListRangeSize

  See Also:
    Constant Field Values

### PNAME_ValueList

    public static final java.lang.String PNAME_ValueList

  See Also:
    Constant Field Values

### PNAME_LabelList

    public static final java.lang.String PNAME_LabelList

  See Also:
    Constant Field Values

### PNAME_ListVOName

    public static final java.lang.String PNAME_ListVOName

  See Also:
    Constant Field Values

### PNAME_ListRSIName

    public static final java.lang.String PNAME_ListRSIName

  See Also:
    Constant Field Values

### PNAME_ListIterName

    public static final java.lang.String PNAME_ListIterName

  See Also:
    Constant Field Values

### PNAME_ListNullValueFlag

    public static final java.lang.String PNAME_ListNullValueFlag

  See Also:
    Constant Field Values

Constructor Detail

### JUCtrlListDef

    public JUCtrlListDef()

### JUCtrlListDef

    public JUCtrlListDef(java.lang.String name,
                         java.lang.String controlClassName,
                         java.lang.String controlBindingClassName,
                         java.lang.String iterBindingName,
                         java.lang.String[] attrNames,
                         boolean staticList,
                         java.lang.String listVOName,
                         java.lang.String listRSIName,
                         java.lang.String[] listAttrNames,
                         java.lang.Object[] valueList)

Method Detail

### initSubType

    protected void initSubType()

  Overrides:
    `initSubType` in class `JUCtrlAttrsDef`

### init

    public void init(java.util.HashMap initValues)

  Overrides:
    `init` in class `JUCtrlValueDef`

### getListOperMode

    public int getListOperMode()

### setListOperMode

    public void setListOperMode(int listOperMode)

### isStaticList

    public boolean isStaticList()

### getNullValueFlag

    public int getNullValueFlag()

### setStaticList

    public void setStaticList(boolean staticList)

  *** For internal framework use only ***

### getListIteratorBindingName

    public java.lang.String getListIteratorBindingName()

### getListVOName

    public java.lang.String getListVOName()

### getListRSIName

    public java.lang.String getListRSIName()

### getListAttrNames

    public java.lang.String[] getListAttrNames()

### getListDisplayAttrNames

    public java.lang.String[] getListDisplayAttrNames()

### getListRangeSize

    public int getListRangeSize()

### setListRangeSize

    public void setListRangeSize(int listRangeSize)

### getValueList

    public java.lang.Object[] getValueList()

### getLabelList

    public java.lang.String[] getLabelList()

### findListIteratorBinding

    protected DCIteratorBinding findListIteratorBinding(DCBindingContainer formBinding)

### retrieveFromXML

    protected void retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement,
                                   java.util.HashMap valueTab)

  Overrides:
    `retrieveFromXML` in class `DCControlBindingDef`

### loadChildrenFromXML

    public void loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)

  Overrides:
    `loadChildrenFromXML` in class `JUCtrlValueDef`

### createListBindingInstance

    protected JUCtrlListBinding createListBindingInstance(java.lang.Object control,
                                                          DCIteratorBinding iterBinding,
                                                          java.lang.String[] attrNames,
                                                          int listOperMode)

### createListBindingInstance

    protected JUCtrlListBinding createListBindingInstance(java.lang.Object control,
                                                          DCIteratorBinding iterBinding,
                                                          java.lang.String[] attrNames,
                                                          java.lang.Object[] valueList)

### createListBindingInstance

    protected JUCtrlListBinding createListBindingInstance(java.lang.Object control,
                                                          DCIteratorBinding iterBinding,
                                                          java.lang.String[] attrNames,
                                                          DCIteratorBinding listIterBinding,
                                                          java.lang.String[] listAttrNames,
                                                          java.lang.String[] listDisplayAttrNames)

### createControlBindingInstance

    protected DCControlBinding createControlBindingInstance(java.lang.Object control,
                                                            DCBindingContainer formBnd)

  Overrides:
    `createControlBindingInstance` in class `JUCtrlAttrsDef`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.